diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-phy-dual.h ns-3.44/src/uan/model/uan-phy-dual.h
--- ns-3.43/src/uan/model/uan-phy-dual.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-phy-dual.h	2025-03-09 16:55:49.731372400 -0700
@@ -35,7 +35,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -50,7 +50,7 @@
 }; // class UanPhyCalcSinrDual
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Two channel Phy.
  *
@@ -74,7 +74,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -87,9 +87,9 @@
     /**
      * Register a UanPhyListener to be notified of common UanPhy events.
      *
-     * \param listener New listener to register.
+     * @param listener New listener to register.
      *
-     * \note You may receive duplicate
+     * @note You may receive duplicate
      * messages as underneath there are two generic phys here.
      * Each will notify of state changes independently.
      */
@@ -124,101 +124,101 @@
 
     void SetSleepMode(bool /* sleep */) override
     {
-        /// \todo This method has to be implemented
+        /// @todo This method has to be implemented
     }
 
     int64_t AssignStreams(int64_t stream) override;
     Ptr<Packet> GetPacketRx() const override;
 
-    /** \copydoc UanPhy::IsStateIdle */
+    /** @copydoc UanPhy::IsStateIdle */
     bool IsPhy1Idle();
-    /** \copydoc UanPhy::IsStateIdle */
+    /** @copydoc UanPhy::IsStateIdle */
     bool IsPhy2Idle();
-    /** \copydoc UanPhy::IsStateRx */
+    /** @copydoc UanPhy::IsStateRx */
     bool IsPhy1Rx();
-    /** \copydoc UanPhy::IsStateRx */
+    /** @copydoc UanPhy::IsStateRx */
     bool IsPhy2Rx();
-    /** \copydoc UanPhy::IsStateTx */
+    /** @copydoc UanPhy::IsStateTx */
     bool IsPhy1Tx();
-    /** \copydoc UanPhy::IsStateTx */
+    /** @copydoc UanPhy::IsStateTx */
     bool IsPhy2Tx();
 
     // Attribute getters and setters
-    /** \copydoc ns3::UanPhy::GetCcaThresholdDb() */
+    /** @copydoc ns3::UanPhy::GetCcaThresholdDb() */
     double GetCcaThresholdPhy1() const;
-    /** \copydoc UanPhy::GetCcaThresholdDb() */
+    /** @copydoc UanPhy::GetCcaThresholdDb() */
     double GetCcaThresholdPhy2() const;
-    /** \copydoc UanPhy::SetCcaThresholdDb */
+    /** @copydoc UanPhy::SetCcaThresholdDb */
     void SetCcaThresholdPhy1(double thresh);
-    /** \copydoc UanPhy::SetCcaThresholdDb */
+    /** @copydoc UanPhy::SetCcaThresholdDb */
     void SetCcaThresholdPhy2(double thresh);
 
-    /** \copydoc UanPhy::GetTxPowerDb */
+    /** @copydoc UanPhy::GetTxPowerDb */
     double GetTxPowerDbPhy1() const;
-    /** \copydoc UanPhy::GetTxPowerDb */
+    /** @copydoc UanPhy::GetTxPowerDb */
     double GetTxPowerDbPhy2() const;
-    /** \copydoc UanPhy::SetTxPowerDb */
+    /** @copydoc UanPhy::SetTxPowerDb */
     void SetTxPowerDbPhy1(double txpwr);
-    /** \copydoc UanPhy::SetTxPowerDb */
+    /** @copydoc UanPhy::SetTxPowerDb */
     void SetTxPowerDbPhy2(double txpwr);
 
     /**
      * Get the list of available modes.
      *
-     * \return The mode list.
+     * @return The mode list.
      */
     UanModesList GetModesPhy1() const;
-    /** \copydoc GetModesPhy1 */
+    /** @copydoc GetModesPhy1 */
     UanModesList GetModesPhy2() const;
 
     /**
      * Set the available modes.
      *
-     * \param modes List of modes.
+     * @param modes List of modes.
      */
     void SetModesPhy1(UanModesList modes);
-    /** \copydoc SetModesPhy1 */
+    /** @copydoc SetModesPhy1 */
     void SetModesPhy2(UanModesList modes);
 
     /**
      * Get the error probability model.
      *
-     * \return The error model.
+     * @return The error model.
      */
     Ptr<UanPhyPer> GetPerModelPhy1() const;
-    /** \copydoc GetPerModelPhy1() */
+    /** @copydoc GetPerModelPhy1() */
     Ptr<UanPhyPer> GetPerModelPhy2() const;
 
     /**
      * Set the error probability model.
      *
-     * \param per The error model.
+     * @param per The error model.
      */
     void SetPerModelPhy1(Ptr<UanPhyPer> per);
-    /** \copydoc SetPerModelPhy1 */
+    /** @copydoc SetPerModelPhy1 */
     void SetPerModelPhy2(Ptr<UanPhyPer> per);
 
     /**
      * Get the SINR calculator.
      *
-     * \return The SINR calculator.
+     * @return The SINR calculator.
      */
     Ptr<UanPhyCalcSinr> GetSinrModelPhy1() const;
-    /** \copydoc GetSinrModelPhy1 */
+    /** @copydoc GetSinrModelPhy1 */
     Ptr<UanPhyCalcSinr> GetSinrModelPhy2() const;
 
     /**
      * Set the SINR calculator.
      *
-     * \param calcSinr The SINR calculator.
+     * @param calcSinr The SINR calculator.
      */
     void SetSinrModelPhy1(Ptr<UanPhyCalcSinr> calcSinr);
-    /** \copydoc SetSinrModelPhy1 */
+    /** @copydoc SetSinrModelPhy1 */
     void SetSinrModelPhy2(Ptr<UanPhyCalcSinr> calcSinr);
 
-    /** \copydoc UanPhy::GetPacketRx */
+    /** @copydoc UanPhy::GetPacketRx */
     Ptr<Packet> GetPhy1PacketRx() const;
-    /** \copydoc UanPhy::GetPacketRx */
+    /** @copydoc UanPhy::GetPacketRx */
     Ptr<Packet> GetPhy2PacketRx() const;
 
   private:
@@ -241,16 +241,16 @@
     /**
      * Handle callback and logger for packets received without error.
      *
-     * \param pkt The packet.
-     * \param sinr The SINR.
-     * \param mode The channel mode.
+     * @param pkt The packet.
+     * @param sinr The SINR.
+     * @param mode The channel mode.
      */
     void RxOkFromSubPhy(Ptr<Packet> pkt, double sinr, UanTxMode mode);
     /**
      * Handle callback and logger for packets received with error.
      *
-     * \param pkt The packet.
-     * \param sinr The SINR.
+     * @param pkt The packet.
+     * @param sinr The SINR.
      */
     void RxErrFromSubPhy(Ptr<Packet> pkt, double sinr);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-phy-gen.h ns-3.44/src/uan/model/uan-phy-gen.h
--- ns-3.43/src/uan/model/uan-phy-gen.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-phy-gen.h	2025-03-09 16:55:49.731372400 -0700
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Default Packet Error Rate calculator for UanPhyGen
  *
@@ -41,7 +41,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -53,7 +53,7 @@
 }; // class UanPhyPerGenDefault
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Packet error rate calculation assuming WHOI Micromodem-like PHY (FH-FSK)
  *
@@ -71,7 +71,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -85,10 +85,10 @@
      * of correcting one bit error.  These equations can be found in
      * the book, Digital Communications, by Proakis (any version I think).
      *
-     * \param pkt Packet which is under consideration.
-     * \param sinrDb SINR at receiver.
-     * \param mode TX mode used to transmit packet.
-     * \return Probability of packet error.
+     * @param pkt Packet which is under consideration.
+     * @param sinrDb SINR at receiver.
+     * @param mode TX mode used to transmit packet.
+     * @return Probability of packet error.
      */
     double CalcPer(Ptr<Packet> pkt, double sinrDb, UanTxMode mode) override;
 
@@ -96,16 +96,16 @@
     /**
      * Binomial coefficient
      *
-     * \param n Pool size.
-     * \param k Number of draws.
-     * \return Binomial coefficient n choose k.
+     * @param n Pool size.
+     * @param k Number of draws.
+     * @return Binomial coefficient n choose k.
      */
     double NChooseK(uint32_t n, uint32_t k);
 
 }; // class UanPhyPerUmodem
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Packet error rate calculation for common tx modes based on UanPhyPerUmodem
  *
@@ -122,7 +122,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -133,17 +133,17 @@
      * This implementation calculates PER for common UanTxMode modulations,
      * by deriving PER from the BER taken from literature's formulas.
      *
-     * \param pkt Packet which is under consideration.
-     * \param sinrDb SINR at receiver.
-     * \param mode TX mode used to transmit packet.
-     * \return Probability of packet error.
+     * @param pkt Packet which is under consideration.
+     * @param sinrDb SINR at receiver.
+     * @param mode TX mode used to transmit packet.
+     * @return Probability of packet error.
      */
     double CalcPer(Ptr<Packet> pkt, double sinrDb, UanTxMode mode) override;
 
 }; // class UanPhyPerCommonModes
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Default SINR calculator for UanPhyGen.
  *
@@ -161,7 +161,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -171,14 +171,14 @@
      * This implementation simply adds all arriving signal power
      * and assumes it acts identically to additional noise.
      *
-     * \param pkt Packet to calculate SINR for.
-     * \param arrTime Arrival time of pkt.
-     * \param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
-     * \param ambNoiseDb Ambient channel noise in dB re 1 uPa.
-     * \param mode TX Mode of pkt.
-     * \param pdp  Power delay profile of pkt.
-     * \param arrivalList  List of interfering arrivals given from Transducer.
-     * \return The SINR in dB re 1 uPa.
+     * @param pkt Packet to calculate SINR for.
+     * @param arrTime Arrival time of pkt.
+     * @param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
+     * @param ambNoiseDb Ambient channel noise in dB re 1 uPa.
+     * @param mode TX Mode of pkt.
+     * @param pdp  Power delay profile of pkt.
+     * @param arrivalList  List of interfering arrivals given from Transducer.
+     * @return The SINR in dB re 1 uPa.
      */
     double CalcSinrDb(Ptr<Packet> pkt,
                       Time arrTime,
@@ -191,7 +191,7 @@
 }; // class UanPhyCalcSinrDefault
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * WHOI Micromodem like FH-FSK model.
  *
@@ -219,7 +219,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -237,7 +237,7 @@
 }; // class UanPhyCalcSinrFhFsk
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Generic PHY model.
  *
@@ -256,13 +256,13 @@
     /**
      * Get the default transmission modes.
      *
-     * \return The default mode list.
+     * @return The default mode list.
      */
     static UanModesList GetDefaultModes();
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -352,12 +352,12 @@
     /**
      * Calculate the SINR value for a packet.
      *
-     * \param pkt Packet to calculate SINR for.
-     * \param arrTime Arrival time of pkt.
-     * \param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
-     * \param mode TX Mode of pkt.
-     * \param pdp  Power delay profile of pkt.
-     * \return The SINR in dB re 1 uPa.
+     * @param pkt Packet to calculate SINR for.
+     * @param arrTime Arrival time of pkt.
+     * @param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
+     * @param mode TX Mode of pkt.
+     * @param pdp  Power delay profile of pkt.
+     * @return The SINR in dB re 1 uPa.
      */
     double CalculateSinrDb(Ptr<Packet> pkt,
                            Time arrTime,
@@ -372,8 +372,8 @@
      * GetInterferenceDb ( (Ptr<Packet>) 0) to treat all signals as
      * interference, for instance in calculating the CCA busy.
      *
-     * \param pkt The arriving (signal) packet.
-     * \return The total interference power, in dB.
+     * @param pkt The arriving (signal) packet.
+     * @return The total interference power, in dB.
      */
     double GetInterferenceDb(Ptr<Packet> pkt);
     /**
@@ -381,8 +381,8 @@
      *
      *   \f[{\rm{kPa}} = {10^{\frac{{{\rm{dB}}}}{{10}}}}\f]
      *
-     * \param db Signal level in dB.
-     * \return Sound pressure in kPa.
+     * @param db Signal level in dB.
+     * @return Sound pressure in kPa.
      */
     double DbToKp(double db);
     /**
@@ -390,16 +390,16 @@
      *
      *   \f[{\rm{dB}} = 10{\log _{10}}{\rm{kPa}}\f]
      *
-     * \param kp Sound pressure in kPa.
-     * \return Signal level in dB.
+     * @param kp Sound pressure in kPa.
+     * @return Signal level in dB.
      */
     double KpToDb(double kp);
     /**
      * Event to process end of packet reception.
      *
-     * \param pkt The packet.
-     * \param rxPowerDb Received signal power.
-     * \param txMode Transmission mode.
+     * @param pkt The packet.
+     * @param rxPowerDb Received signal power.
+     * @param txMode Transmission mode.
      */
     void RxEndEvent(Ptr<Packet> pkt, double rxPowerDb, UanTxMode txMode);
     /** Event to process end of packet transmission. */
@@ -407,7 +407,7 @@
     /**
      * Update energy source with new state.
      *
-     * \param state The new Phy state.
+     * @param state The new Phy state.
      */
     void UpdatePowerConsumption(const State state);
 
@@ -424,7 +424,7 @@
     /**
      * Call UanListener::NotifyTxStart on all listeners.
      *
-     * \param duration Duration of transmission.
+     * @param duration Duration of transmission.
      */
     void NotifyListenersTxStart(Time duration);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-phy.h ns-3.44/src/uan/model/uan-phy.h
--- ns-3.43/src/uan/model/uan-phy.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-phy.h	2025-03-09 16:55:49.731372400 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Class used for calculating SINR of packet in UanPhy.
  *
@@ -35,14 +35,14 @@
     /**
      * Calculate the SINR value for a packet.
      *
-     * \param pkt Packet to calculate SINR for.
-     * \param arrTime Arrival time of pkt.
-     * \param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
-     * \param ambNoiseDb Ambient channel noise in dB re 1 uPa.
-     * \param mode TX Mode of pkt.
-     * \param pdp  Power delay profile of pkt.
-     * \param arrivalList  List of interfering arrivals given from Transducer.
-     * \return The SINR in dB re 1 uPa.
+     * @param pkt Packet to calculate SINR for.
+     * @param arrTime Arrival time of pkt.
+     * @param rxPowerDb The received signal strength of the packet in dB re 1 uPa.
+     * @param ambNoiseDb Ambient channel noise in dB re 1 uPa.
+     * @param mode TX Mode of pkt.
+     * @param pdp  Power delay profile of pkt.
+     * @param arrivalList  List of interfering arrivals given from Transducer.
+     * @return The SINR in dB re 1 uPa.
      */
     virtual double CalcSinrDb(Ptr<Packet> pkt,
                               Time arrTime,
@@ -53,7 +53,7 @@
                               const UanTransducer::ArrivalList& arrivalList) const = 0;
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -63,8 +63,8 @@
     /**
      * Convert dB re 1 uPa to kilopascals.
      *
-     * \param db dB value.
-     * \return Value in kilopascals.
+     * @param db dB value.
+     * @return Value in kilopascals.
      */
     inline double DbToKp(double db) const
     {
@@ -74,8 +74,8 @@
     /**
      * Convert kilopascals to dB re 1 uPa.
      *
-     * \param kp Value in kilopascals.
-     * \return Value in dB re 1 uPa
+     * @param kp Value in kilopascals.
+     * @return Value in dB re 1 uPa
      */
     inline double KpToDb(double kp) const
     {
@@ -88,7 +88,7 @@
 }; // class UanPhyCalcSinr
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Calculate packet error probability, based on received SINR
  * and modulation (mode).
@@ -102,16 +102,16 @@
      * Calculate the packet error probability based on
      * SINR at the receiver and a tx mode.
      *
-     * \param pkt Packet which is under consideration.
-     * \param sinrDb SINR at receiver.
-     * \param mode TX mode used to transmit packet.
-     * \return Probability of packet error.
+     * @param pkt Packet which is under consideration.
+     * @param sinrDb SINR at receiver.
+     * @param mode TX mode used to transmit packet.
+     * @return Probability of packet error.
      */
     virtual double CalcPer(Ptr<Packet> pkt, double sinrDb, UanTxMode mode) = 0;
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     /** Clear all pointer references. */
@@ -123,7 +123,7 @@
 }; // class UanPhyPer
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Interface for PHY event listener.
  *
@@ -151,7 +151,7 @@
     /**
      * Called when transmission starts from Phy object.
      *
-     * \param duration Duration of transmission.
+     * @param duration Duration of transmission.
      */
     virtual void NotifyTxStart(Time duration) = 0;
     /** Function called when Phy object finishes transmitting packet */
@@ -159,7 +159,7 @@
 }; // class UanPhyListener
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Base class for UAN Phy models.
  */
@@ -197,16 +197,16 @@
     /**
      * TracedCallback signature for UanPhy packet send/receive events.
      *
-     * \param [in] pkt The packet.
-     * \param [in] sinr The SINR.
-     * \param [in] mode The channel mode.
+     * @param [in] pkt The packet.
+     * @param [in] sinr The SINR.
+     * @param [in] mode The channel mode.
      */
     typedef void (*TracedCallback)(Ptr<const Packet> pkt, double sinr, UanTxMode mode);
 
     /**
      * Set the DeviceEnergyModel callback for UanPhy device.
      *
-     * \param callback The DeviceEnergyModel change state callback.
+     * @param callback The DeviceEnergyModel change state callback.
      */
     virtual void SetEnergyModelCallback(
         energy::DeviceEnergyModel::ChangeStateCallback callback) = 0;
@@ -221,55 +221,55 @@
     /**
      * Send a packet using a specific transmission mode.
      *
-     * \param pkt  Packet to transmit.
-     * \param modeNum  Index of mode in SupportedModes list to use for transmission.
+     * @param pkt  Packet to transmit.
+     * @param modeNum  Index of mode in SupportedModes list to use for transmission.
      */
     virtual void SendPacket(Ptr<Packet> pkt, uint32_t modeNum) = 0;
 
     /**
      * Register a UanPhyListener to be notified of common UanPhy events.
      *
-     * \param listener New listener to register.
+     * @param listener New listener to register.
      */
     virtual void RegisterListener(UanPhyListener* listener) = 0;
 
     /**
      * Packet arriving from channel:  i.e.  leading bit of packet has arrived.
      *
-     * \param pkt Packet which is arriving.
-     * \param rxPowerDb Signal power of incoming packet in dB re 1 uPa.
-     * \param txMode Transmission mode defining modulation of incoming packet.
-     * \param pdp Power delay profile of incoming packet.
+     * @param pkt Packet which is arriving.
+     * @param rxPowerDb Signal power of incoming packet in dB re 1 uPa.
+     * @param txMode Transmission mode defining modulation of incoming packet.
+     * @param pdp Power delay profile of incoming packet.
      */
     virtual void StartRxPacket(Ptr<Packet> pkt, double rxPowerDb, UanTxMode txMode, UanPdp pdp) = 0;
 
     /**
      * Set the callback to be used when a packet is received without error.
      *
-     * \param cb The callback.
+     * @param cb The callback.
      */
     virtual void SetReceiveOkCallback(RxOkCallback cb) = 0;
 
     /**
      * Set the callback to be used when a packet is received with errors.
      *
-     * \param cb The callback.
+     * @param cb The callback.
      */
     virtual void SetReceiveErrorCallback(RxErrCallback cb) = 0;
 
     /**
      * Set the transmit power.
      *
-     * \param txpwr Final output transmission power, in dB.
+     * @param txpwr Final output transmission power, in dB.
      */
     virtual void SetTxPowerDb(double txpwr) = 0;
 
     /**
      * Set the minimum SINR threshold to receive a packet without errors.
      *
-     * \deprecated See UanPhyPer.
+     * @deprecated See UanPhyPer.
      *
-     * \param thresh Threshold SINR for proper reception in dB re 1 uPa.
+     * @param thresh Threshold SINR for proper reception in dB re 1 uPa.
      */
     // NS_DEPRECATED() - tag for future removal
     virtual void SetRxThresholdDb(double thresh) = 0;
@@ -277,14 +277,14 @@
     /**
      * Set the threshold for detecting channel busy.
      *
-     * \param thresh Signal power threshold at receiver.
+     * @param thresh Signal power threshold at receiver.
      */
     virtual void SetCcaThresholdDb(double thresh) = 0;
 
     /**
      * Get the current transmit power, in dB.
      *
-     * \return The transmit power.
+     * @return The transmit power.
      */
     virtual double GetTxPowerDb() = 0;
 
@@ -292,61 +292,61 @@
      * Get the minimum received signal strength required
      * to receive a packet without errors.
      *
-     * \return The minimum required signal strength, in dB.
+     * @return The minimum required signal strength, in dB.
      */
     virtual double GetRxThresholdDb() = 0;
 
     /**
      * Get the CCA threshold signal strength required to detect channel busy.
      *
-     * \return The CCA threshold signal strength in dB.
+     * @return The CCA threshold signal strength in dB.
      */
     virtual double GetCcaThresholdDb() = 0;
-    /** \return True if Phy is in SLEEP state. */
+    /** @return True if Phy is in SLEEP state. */
     virtual bool IsStateSleep() = 0;
-    /** \return True if Phy is in IDLE state. */
+    /** @return True if Phy is in IDLE state. */
     virtual bool IsStateIdle() = 0;
-    /** \return True if Phy is neither IDLE nor SLEEP. */
+    /** @return True if Phy is neither IDLE nor SLEEP. */
     virtual bool IsStateBusy() = 0;
-    /** \return True if Phy is currently in receive mode. */
+    /** @return True if Phy is currently in receive mode. */
     virtual bool IsStateRx() = 0;
-    /** \return True if Phy is busy transmitting. */
+    /** @return True if Phy is busy transmitting. */
     virtual bool IsStateTx() = 0;
-    /** \return True if Phy is in CCABUSY state. */
+    /** @return True if Phy is in CCABUSY state. */
     virtual bool IsStateCcaBusy() = 0;
 
     /**
      * Get the attached channel.
      *
-     * \return The channel.
+     * @return The channel.
      */
     virtual Ptr<UanChannel> GetChannel() const = 0;
 
     /**
      * Get the device hosting this Phy.
      *
-     * \return The net device.
+     * @return The net device.
      */
     virtual Ptr<UanNetDevice> GetDevice() const = 0;
 
     /**
      * Attach to a channel.
      *
-     * \param channel The channel to attach to.
+     * @param channel The channel to attach to.
      */
     virtual void SetChannel(Ptr<UanChannel> channel) = 0;
 
     /**
      * Set the device hosting this Phy.
      *
-     * \param device The device.
+     * @param device The device.
      */
     virtual void SetDevice(Ptr<UanNetDevice> device) = 0;
 
     /**
      * Set the MAC forwarding messages to this Phy.
      *
-     * \param mac The MAC.
+     * @param mac The MAC.
      */
     virtual void SetMac(Ptr<UanMac> mac) = 0;
 
@@ -354,9 +354,9 @@
      * Called when a transmission is beginning
      * on the attached transducer.
      *
-     * \param packet Packet that is beginning transmission.
-     * \param txPowerDb Transmit power of packet.
-     * \param txMode  Transmission mode of packet.
+     * @param packet Packet that is beginning transmission.
+     * @param txPowerDb Transmit power of packet.
+     * @param txMode  Transmission mode of packet.
      */
     virtual void NotifyTransStartTx(Ptr<Packet> packet, double txPowerDb, UanTxMode txMode) = 0;
 
@@ -370,37 +370,37 @@
     /**
      * Attach a transducer to this Phy.
      *
-     * \param trans The transducer.
+     * @param trans The transducer.
      */
     virtual void SetTransducer(Ptr<UanTransducer> trans) = 0;
 
     /**
      * Get the attached transducer.
      *
-     * \return The transducer.
+     * @return The transducer.
      */
     virtual Ptr<UanTransducer> GetTransducer() = 0;
 
     /**
      * Get the number of transmission modes supported by this Phy.
      *
-     * \return The number modes.
+     * @return The number modes.
      */
     virtual uint32_t GetNModes() = 0;
 
     /**
      * Get a specific transmission mode.
      *
-     * \param n The mode number.
-     * \return The mode.
+     * @param n The mode number.
+     * @return The mode.
      */
     virtual UanTxMode GetMode(uint32_t n) = 0;
 
     /**
      * Get the packet currently being received.
      *
-     * \warning Returns non-valid pointer if IsStateRx == false.
-     * \return The packet.
+     * @warning Returns non-valid pointer if IsStateRx == false.
+     * @return The packet.
      */
     virtual Ptr<Packet> GetPacketRx() const = 0;
 
@@ -410,7 +410,7 @@
     /**
      * Set the Phy SLEEP mode.
      *
-     * \param sleep SLEEP on or off.
+     * @param sleep SLEEP on or off.
      */
     virtual void SetSleepMode(bool sleep) = 0;
 
@@ -420,7 +420,7 @@
      * This fires a PhyTxBegin trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyTxBegin(Ptr<const Packet> packet);
 
@@ -430,7 +430,7 @@
      * This fires a PhyTxEnd trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyTxEnd(Ptr<const Packet> packet);
 
@@ -441,7 +441,7 @@
      * This fires a PhyTxDrop trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyTxDrop(Ptr<const Packet> packet);
 
@@ -451,7 +451,7 @@
      * This fires a PhyRxBegin trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyRxBegin(Ptr<const Packet> packet);
 
@@ -461,7 +461,7 @@
      * This fires a PhyRxEnd trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyRxEnd(Ptr<const Packet> packet);
 
@@ -471,7 +471,7 @@
      * This fires a PhyRxDrop trace.  Implemented for encapsulation
      * purposes.
      *
-     * \param packet The packet.
+     * @param packet The packet.
      */
     void NotifyRxDrop(Ptr<const Packet> packet);
 
@@ -480,14 +480,14 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream First stream index to use.
-     * \return The number of stream indices assigned by this model.
+     * @param stream First stream index to use.
+     * @return The number of stream indices assigned by this model.
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -496,7 +496,7 @@
      * Trace source indicating a packet has begun transmitting
      * over the channel medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyTxBeginTrace;
 
@@ -504,7 +504,7 @@
      * Trace source indicating a packet has been completely transmitted
      * over the channel.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyTxEndTrace;
 
@@ -512,7 +512,7 @@
      * Trace source indicating a packet has been dropped by the device
      * during transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyTxDropTrace;
 
@@ -520,7 +520,7 @@
      * Trace source indicating a packet has begun being received
      * from the channel medium by the device.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyRxBeginTrace;
 
@@ -528,7 +528,7 @@
      * Trace source indicating a packet has been completely received
      * from the channel medium by the device.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyRxEndTrace;
 
@@ -536,7 +536,7 @@
      * Trace source indicating a packet has been dropped by the device
      * during reception.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
